package com.example.stackwebapp;

import java.util.Stack;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class StackController {
    private final static Stack<Integer> pila = new Stack<>();

    @RequestMapping("/index")
    public ModelAndView home(HttpServletRequest request) {
        ModelAndView mv = new ModelAndView();
        mv.setViewName("index");
        mv.addObject("pila", pila);
        mv.addObject("quitado", request.getSession().getAttribute("quitado"));
        return mv;
    }

    @PostMapping("/push")
    public String push(HttpServletRequest request) {
        pila.push(Integer.parseInt(((String)request.getParameter("valor"))));
        return "redirect:/index";
    }

    @RequestMapping("/pop")
    public String pop(HttpServletRequest request) {
        HttpSession ses = request.getSession(); 
        ses.setAttribute("quitado", pila.pop());        
        return "redirect:/index";
    }
}
