package com.example.webapp;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class FrontController {
    private static Empleado[] empleados = {new Empleado(1, "Joel", "jefe"),new Empleado(1, "Jose", "ejecutivo")};

    @RequestMapping("/test/{name}")
    public String viewTest(@PathVariable String name, HttpServletRequest req) {
        HttpSession ses = req.getSession();
        ses.setAttribute("name", name);
        return "test";
    }
    @RequestMapping("/empleado/{id}")
    public ModelAndView viewEmpleado(@PathVariable int id) {
        ModelAndView mv = new ModelAndView();
        mv.setViewName("empleado");
        mv.addObject("emp", empleados[id-1]);
        return mv;
    }

    @RequestMapping("/form")
    public ModelAndView form(){
        return new ModelAndView("form","emp",new Empleado());
    }

    @PostMapping("/addEmployee")
    public String addEmployee(@ModelAttribute("emp")Empleado emp,BindingResult result,ModelMap model) {
        if(result.hasErrors()) return "error";
        model.addAttribute("nombre", emp.getNombre());
        model.addAttribute("id", emp.getId());
        return "add";
    }
    

}
